Add Checkout Billing Address

Adds a billing address to an existing *Checkout*. **Required Fields** * country_code > #### Note > * The `email` property is only required if the customer is a guest shopper. Otherwise, it is set automatically. > * Sending `email` property as a payload in POST request triggers the abandoned cart notification process. > * Substitute your storefront domain for `yourstore.example.com`. > * The Send a Test Request feature is not currently supported for this endpoint. > * This endpoint requires using Stencil CLI, a local session, and a csrf token to work.

Path parameters

checkoutIdstringRequired

Request

This endpoint expects an object.
countryCodestringRequired
ISO 3166-1 alpha-2 country code. (See: https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
address1stringOptional
address2stringOptional
citystringOptional
companystringOptional
countrystringOptional
Country name.
customFieldslist of objectsOptional
emailstringOptional
firstNamestringOptional
lastNamestringOptional
phonestringOptionalformat: "^\+?[1-9]\d{1,14}(x\d{1-5})?$"
postalCodestringOptional
stateOrProvincestringOptional
Represents state or province.
stateOrProvinceCodestringOptional
versionintegerOptional

The cart version that you expect to apply the updates. If the provided version doesn’t match the current cart version, you will receive a conflict error. This field is optional; if not provided, optimistic concurrency control will not apply.

Response

billingAddressobject
cartobject

A cart contains a collection of items, prices, discounts, etc. It does not contain customer-related data.

channelIdinteger
Channel ID.
consignmentslist of objects
couponslist of objects
Coupons applied at the checkout level.
feeslist of objects
Fees applied at the checkout level.
createdTimestring
Time when the cart was created.
customerobject
Customer details.
customerMessagestring

Shopperʼs message provided as details for the order to be created from this cart

giftCertificateslist of objects

Applied gift certificate (as a payment method).

giftWrappingCostTotaldouble
Gift wrapping cost for all items, including or excluding tax.
grandTotaldouble
The total payable amount, before applying any store credit or gift certificate.
handlingCostTotaldouble
Handling cost for all consignments including or excluding tax.
idstringformat: "uuid"
isStoreCreditAppliedboolean

true value indicates StoreCredit has been applied.

orderIdstring or null
outstandingBalancedouble

grandTotal subtract the store-credit amount

paymentslist of objects
promotionslist of objects
shippingCostBeforeDiscountdouble
Total shipping cost for the checkout before discounts are applied.
comparisonShippingCostdouble
Total shipping cost for the checkout after automatic promotions are applied.
shippingCostTotaldouble
Shipping cost before any discounts are applied.
shouldExecuteSpamCheckboolean
subtotaldouble

Subtotal of the checkout before applying item-level discounts. Tax inclusive based on the store settings.

taxeslist of objects
taxTotaldouble
updatedTimestring
Time when the cart was last updated.
versioninteger
The current version of the checkout increments with each successful update. You can use it to enable optimistic concurrency control for subsequent updates.

Errors

409
Conflict Error